# Armbian u-boot install script for linux-u-boot-nanopct6-lts-edge 2025.04-rc1-Sa517-Pbd67-Hda62-V7687-Bb703-R448a
# This file provides functions for deploying u-boot to a block device.
DIR=/usr/lib/linux-u-boot-edge-nanopct6-lts
write_uboot_platform () 
{ 
    dd "if=$1/u-boot-rockchip.bin" "of=$2" bs=32k seek=1 conv=notrunc status=none
}
write_uboot_platform_mtd () 
{ 
    flashcp -v -p "$1/u-boot-rockchip-spi.bin" /dev/mtd0
}
setup_write_uboot_platform () 
{ 
    if grep -q "ubootpart" /proc/cmdline; then
        local tmp part dev;
        tmp=$(cat /proc/cmdline);
        tmp="${tmp##*ubootpart=}";
        tmp="${tmp%% *}";
        [[ -n $tmp ]] && part=$(findfs PARTUUID=$tmp 2> /dev/null);
        [[ -n $part ]] && dev=$(lsblk -n -o PKNAME $part 2> /dev/null);
        [[ -n $dev ]] && DEVICE="/dev/$dev";
    fi
}
